
Katello - Bug #5605

activation-key commands resulting in "has_key?" error

05/06/2014 09:01 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If an activation-key doesn't have an environment or content view assigned, attempting to execute certain commands (e.g.

activation-key list, activation-key info) will result in an error to the user.

The error is:

NoMethodError (undefined method `has_key?' for nil:NilClass):

This may be related to the feature that was recently introduced to allow the keys to 'optionally' included env/view.  Previously, they

were required.

History

#1 - 05/09/2014 06:59 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 44

- Triaged changed from No to Yes

#2 - 05/28/2014 05:39 PM - Eric Helms

- Status changed from New to Closed

#3 - 05/28/2014 06:49 PM - Brad Buckingham

- % Done changed from 0 to 100

This was addressed as part of the following PR:

https://github.com/theforeman/hammer-cli/pull/107

#4 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
